Problem with pdfjs-dist on build

cancel
Showing results for 
Search instead for 
Did you mean: 
ilseva
Active Member

Problem with pdfjs-dist on build

Jump to solution

Hi,

when we try to build (npm run-script build:dist -- --source-map=true) a project created with adf-cli-acs-template, the build fails with this message

ERROR in scripts.9d7058f51ab079a5b4f2.js from Terser
Unexpected token: punc (.) [node_modules/pdfjs-dist/build/pdf.js:2205,0][scripts.9d7058f51ab079a5b4f2.js:2205,45]

node version: 12.18.2

npm version: 6.14.13.

Any idea?

Thanks,

Sevastian

1 Solution

Accepted Solutions
ilseva
Active Member

Re: Problem with pdfjs-dist on build

Jump to solution

We resolved using version specified in ADF application generator version 4.4.0.

 "pdfjs-dist": "2.5.207",

We started development using 4.3.0.

 

View solution in original post

2 Replies
ilseva
Active Member

Re: Problem with pdfjs-dist on build

Jump to solution

We resolved using version specified in ADF application generator version 4.4.0.

 "pdfjs-dist": "2.5.207",

We started development using 4.3.0.

 

View solution in original post

EddieMay
Community Manager
Community Manager

Re: Problem with pdfjs-dist on build

Jump to solution

Hi @ilseva 

Great news that you resolved your problem and thanks for updating us on how you did it - really useful to other members facing the same problem.

Thanks again,

Digital Community Manager, Alfresco Software.
Problem solved? Click Accept as Solution!